

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>The Single Star Object &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="The Binary Star Object" href="../BinaryStar/BinaryStar.html" />
    <link rel="prev" title="Showcase of 1D plotting functionalities" href="../PSyGrid/plot1D/plot1D.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">The Single Star Object</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#creating-a-singlestar-object">Creating a SingleStar object</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#starproperties">STARPROPERTIES</a></li>
<li class="toctree-l3"><a class="reference internal" href="#state-options">State options</a></li>
<li class="toctree-l3"><a class="reference internal" href="#basic-example">Basic example</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>The Single Star Object</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/SingleStar/SingleStar.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="the-single-star-object">
<span id="singlestar"></span><h1>The Single Star Object<a class="headerlink" href="#the-single-star-object" title="Permalink to this headline">¶</a></h1>
<p>The Single Star object contains the current and past states of the star.
Only parameters in the STARPROPERTIES list are stored in the history.
The current parameter value of the star object is accessed as, e.g. <cite>star.mass</cite> while
its past history with <cite>star.mass_history</cite>.</p>
<p>To use SingleStar object import it using:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">posydon.binary_evol.singlestar</span> <span class="kn">import</span> <span class="n">SingleStar</span>
</pre></div>
</div>
<div class="section" id="creating-a-singlestar-object">
<h2>Creating a SingleStar object<a class="headerlink" href="#creating-a-singlestar-object" title="Permalink to this headline">¶</a></h2>
<div class="section" id="starproperties">
<h3>STARPROPERTIES<a class="headerlink" href="#starproperties" title="Permalink to this headline">¶</a></h3>
<p>The star properties are defined as follows</p>
<table class="colwidths-given docutils align-default" id="id1">
<caption><span class="caption-text">STARPROPERTIES</span><a class="headerlink" href="#id1" title="Permalink to this table">¶</a></caption>
<colgroup>
<col style="width: 25%" />
<col style="width: 75%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Properties</p></th>
<th class="head"><p>Descriptions</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><cite>state</cite></p></td>
<td><p>The state of the star, see state options.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>metallicity</cite></p></td>
<td><p>Fractional metal content (Z) of the star.</p></td>
</tr>
<tr class="row-even"><td><p><cite>mass</cite></p></td>
<td><p>Stellar mass in M_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>log_R</cite></p></td>
<td><p>log10 stellar radius in R_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>log_L</cite></p></td>
<td><p>log10 surface stellar luminosity in L_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>mdot</cite></p></td>
<td><p>Stellar mass-loss rate in Msun/yr.</p></td>
</tr>
<tr class="row-even"><td><p><cite>lg_wind_mdot</cite></p></td>
<td><p>log10 stellar wind mass-loss rate in Msun/yr.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>he_core_mass</cite></p></td>
<td><p>Helium core mass in M_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>he_core_radius</cite></p></td>
<td><p>Helium core radius in R_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>c_core_mass</cite></p></td>
<td><p>Carbon core mass in M_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>c_core_radius</cite></p></td>
<td><p>Carbon core mass in M_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>o_core_mass</cite></p></td>
<td><p>Oxygen core mass in M_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>o_core_radius</cite></p></td>
<td><p>Oxygen core radius in R_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>center_h1</cite></p></td>
<td><p>Hydrogen central mass fraction abundance.</p></td>
</tr>
<tr class="row-even"><td><p><cite>center_he4</cite></p></td>
<td><p>Helium central mass fraction abundance.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>center_c12</cite></p></td>
<td><p>Carbon central mass fraction abundance.</p></td>
</tr>
<tr class="row-even"><td><p><cite>center_n14</cite></p></td>
<td><p>Nitrogen central mass fraction abundance.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>center_o16</cite></p></td>
<td><p>Oxygen central mass fraction abundance.</p></td>
</tr>
<tr class="row-even"><td><p><cite>surface_h1</cite></p></td>
<td><p>Hydrogen surface mass fraction abundance.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>surface_he4</cite></p></td>
<td><p>Helium surface mass fraction abundance.</p></td>
</tr>
<tr class="row-even"><td><p><cite>surface_c12</cite></p></td>
<td><p>Carbon surface mass fraction abundance.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>surface_n14</cite></p></td>
<td><p>Nitrogen surface mass fraction abundance.</p></td>
</tr>
<tr class="row-even"><td><p><cite>surface_o16</cite></p></td>
<td><p>Oxygen surface mass fraction abundance.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>log_LH</cite></p></td>
<td><p>log10 total thermal power from PP and CNO, excluding neutrinos devided by L_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>log_LHe</cite></p></td>
<td><p>log10 total thermal power from triple-alpha, excluding neutrinos devided by L_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>log_LZ</cite></p></td>
<td><p>log10 total burning power excluding LH and LHe and photodisintegrations devided by L_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>log_Lnuc</cite></p></td>
<td><p>log10 total nuclear reaction luminosity (LH + LHe LZ) in L_sun.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>c12_c12</cite></p></td>
<td><p>log10 total luminosity for c12_c12 reaction in L_sun.</p></td>
</tr>
<tr class="row-even"><td><p><cite>surf_avg_omega_div_omega_crit</cite></p></td>
<td><p>Average surface omega divided by critical omega.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>total_moment_of_inertia</cite></p></td>
<td><p>Total moment of inertia in g*cm^2.</p></td>
</tr>
<tr class="row-even"><td><p><cite>log_total_angular_momentum</cite></p></td>
<td><p>log10 total angular momentum of the star g*cm^2*s^-1</p></td>
</tr>
<tr class="row-odd"><td><p><cite>spin</cite></p></td>
<td><p>Angular momentum of the star in g*cm^2*s^-1 or dimensionless BH spin.</p></td>
</tr>
<tr class="row-even"><td><p><cite>profile</cite></p></td>
<td><p>Stellar profile from MESA.</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="state-options">
<h3>State options<a class="headerlink" href="#state-options" title="Permalink to this headline">¶</a></h3>
<p>Star states are defined on their relative position on the HR diagram as follows:</p>
<table class="colwidths-given docutils align-default" id="id2">
<caption><span class="caption-text">State</span><a class="headerlink" href="#id2" title="Permalink to this table">¶</a></caption>
<colgroup>
<col style="width: 25%" />
<col style="width: 75%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>State</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><cite>PreMS</cite></p></td>
<td><p>The star is on the pre-main-sequence phase.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>MS</cite></p></td>
<td><p>The star is in the Main Sequence phase.</p></td>
</tr>
<tr class="row-even"><td><p><cite>PostMS</cite></p></td>
<td><p>The star is in the post Main Sequence phase.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>HeMS</cite></p></td>
<td><p>The star is at the beginning of the He burning phase.</p></td>
</tr>
<tr class="row-even"><td><p><cite>PostHeMS</cite></p></td>
<td><p>The star is evolving through the beginning of the He burning phase.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>WD</cite></p></td>
<td><p>The star is a White Dwarf.</p></td>
</tr>
<tr class="row-even"><td><p><cite>NS</cite></p></td>
<td><p>The star is a Neutron Star.</p></td>
</tr>
<tr class="row-odd"><td><p><cite>BH</cite></p></td>
<td><p>The star is a Black Hole.</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="basic-example">
<h3>Basic example<a class="headerlink" href="#basic-example" title="Permalink to this headline">¶</a></h3>
<p>The simplest method is to provide <cite>kwargs</cite> of the initial stellar parameters.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">kwargs</span> <span class="o">=</span> <span class="p">{</span><span class="n">state</span><span class="o">=</span><span class="s1">&#39;MS&#39;</span><span class="p">,</span>
          <span class="n">mass</span><span class="o">=</span><span class="mf">10.0</span><span class="p">,</span>
          <span class="n">metallicity</span><span class="o">=</span><span class="mf">0.014</span><span class="p">)</span>
<span class="n">SingleStar</span><span class="p">(</span><span class="n">kwargs</span><span class="p">)</span>
</pre></div>
</div>
<p>Now, the SingleStar object is ready to be used.</p>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../BinaryStar/BinaryStar.html" class="btn btn-neutral float-right" title="The Binary Star Object" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../PSyGrid/plot1D/plot1D.html" class="btn btn-neutral float-left" title="Showcase of 1D plotting functionalities" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>